LINUX.ORG.RU

приложения на Qt начали глючить

 , , ,


0

4

Linux Mint 17.2 KDE. Через некоторое время после включения слетает прорисовка. Меню лагает: мерцает, не все элементы прорисовываются, в долфине файлы много раз рисуются на сером фоне. Наблюдается только на приложения которые используют Qt.

Перешел на xfce, ситуация повторилась - все что работает через Qt криво прорисовывается. Пробовал использовать другой драйвер nvidia, менять opengl -> XRender, сносить конфиги в хом, отключать эффекты - всё без результата.

как решить проблему?


как решить проблему?

Использовать стабильные gtk-приложения, например.

А не замечал, какие именно приложения так себя ведут? На Qt4 или Qt5?

EXL ★★★★★ ()
Ответ на: комментарий от EXL

qt4: keepassx skype 4.3 vlc ktorrent kate VirtualBox gui manager стим (если запущен в kde, в xfce норм) на gtk есть не все приложения, в частности скайп, keepass(хотя возможно вторая версия решит проблему) и виртуал бокс

axdx ()
Ответ на: комментарий от pashazz

пробовал, не помогло. Trolltech.conf также пробовал удалять

axdx ()

Такая же фигня! Skype, Clementine, KTorrent, только я до прочтения этого поста не осознал, что затронуты только Qt-приложения. Началось вчера.

greatperson ()

та же самая фигня ubuntu 15.04 @ intel
началось недавно

dib2 ★★★★★ ()
~$ vlc
VLC media player 2.2.0 Weatherwax (revision 2.2.0-0-g1349ef2)
[0000000001ab0be8] [http] lua interface: Lua HTTP interface
[0000000001a84058] core libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
QNativeImage: Unable to attach to shared memory segment. 

(vlc:11905): Gdk-WARNING **: shmget failed: error 28 (На устройстве кончилось место)
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Major opcode: 62 (X_CopyArea)
  Resource id:  0x0



собственно:

shmget failed: error 28

~$ ipcs -m | wc -l
4100
~$ ipcs -l

------ Лимиты сообщений --------
максимум очередей для всей системы = 32000
max size of message (bytes) = 8192
default max size of queue (bytes) = 16384

------ Пределы совм. исп. памяти --------
max number of segments = 4096
max seg size (kbytes) = 18014398509465599
max total shared memory (kbytes) = 18014398442373116
min seg size (bytes) = 1

------ Пределы семафоров --------
максимальное количество массивов = 32000
максимум семафоров на массив = 32000
максимум семафоров на всю систему = 1024000000
максимум операций на вызов семафора = 500
максимальное значение семафора = 32767



кто-то протекает.

~$ ipcs -m -p

дает PID, по которому мы находим... AndroidStudio! Выключаем монстра и все, Qt нормально работает.

dib2 ★★★★★ ()
Ответ на: комментарий от Deleted

Проблема была замечена 29 числа(в этот день было только обновление unzip)

Start-Date: 2015-10-07 10:26:07
Upgrade: libspice-server1:amd64 (0.12.4-0nocelt2ubuntu1.1, 0.12.4-0nocelt2ubuntu1.2)

Start-Date: 2015-10-09 10:56:59
Upgrade: libhunspell-1.3-0:amd64 (1.3.2-6ubuntu2, 1.3.2-6ubuntu2.1)

Start-Date: 2015-10-14 00:17:22
Upgrade: libgdk-pixbuf2.0-common:amd64 (2.30.7-0ubuntu1.1, 2.30.7-0ubuntu1.2), gir1.2-gdkpixbuf-2.0:amd64 (2.30.7-0ubuntu1.1, 2.30.7-0ubuntu1.2), libgdk-pixbuf2.0-0:amd64 (2.30.7-0ubuntu1.1, 2.30.7-0ubuntu1.2), libgdk-pixbuf2.0-0:i386 (2.30.7-0ubuntu1.1, 2.30.7-0ubuntu1.2)

Start-Date: 2015-10-16 17:31:02
Install: libssl1.0.2:amd64 (1.0.2d-2+deb.sury.org~trusty+1, automatic)
Upgrade: libssl-dev:amd64 (1.0.1f-1ubuntu2.15, 1.0.2d-2+deb.sury.org~trusty+1), openssl:amd64 (1.0.1f-1ubuntu2.15, 1.0.2d-2+deb.sury.org~trusty+1)

Start-Date: 2015-10-18 20:32:08
Upgrade: firefox-locale-en:amd64 (41.0.1+linuxmint1+rafaela, 41.0.2+linuxmint1+rafaela), firefox:amd64 (41.0.1+linuxmint1+rafaela, 41.0.2+linuxmint1+rafaela), firefox-locale-ru:amd64 (41.0.1+linuxmint1+rafaela, 41.0.2+linuxmint1+rafaela)

Start-Date: 2015-10-20 05:45:17
Upgrade: python3-problem-report:amd64 (2.14.1-0ubuntu3.15, 2.14.1-0ubuntu3.16)

Start-Date: 2015-10-20 12:16:01
Upgrade: python3.4:amd64 (3.4.3-1ubuntu1~14.04.1, 3.4.3-1ubuntu1~14.04.3), python-urllib3:amd64 (1.7.1-1ubuntu3, 1.7.1-1ubuntu4), python3.4-minimal:amd64 (3.4.3-1ubuntu1~14.04.1, 3.4.3-1ubuntu1~14.04.3), libpython3.4-stdlib:amd64 (3.4.3-1ubuntu1~14.04.1, 3.4.3-1ubuntu1~14.04.3), libpython3.4:amd64 (3.4.3-1ubuntu1~14.04.1, 3.4.3-1ubuntu1~14.04.3), libpython3.4-minimal:amd64 (3.4.3-1ubuntu1~14.04.1, 3.4.3-1ubuntu1~14.04.3)

Start-Date: 2015-10-20 20:29:02
Upgrade: tzdata-java:amd64 (2015f-0ubuntu0.14.04, 2015g-0ubuntu0.14.04), tzdata:amd64 (2015f-0ubuntu0.14.04, 2015g-0ubuntu0.14.04)

Start-Date: 2015-10-26 20:30:16
Upgrade: mysql-common:amd64 (5.5.44-0ubuntu0.14.04.1, 5.5.46-0ubuntu0.14.04.2), libmysqlclient18:amd64 (5.5.44-0ubuntu0.14.04.1, 5.5.46-0ubuntu0.14.04.2)

Start-Date: 2015-10-27 17:28:29
Upgrade: python3-problem-report:amd64 (2.14.1-0ubuntu3.16, 2.14.1-0ubuntu3.18)

Start-Date: 2015-10-28 00:36:00
Upgrade: ntp:amd64 (4.2.6.p5+dfsg-3ubuntu2.14.04.3, 4.2.6.p5+dfsg-3ubuntu2.14.04.5), ntpdate:amd64 (4.2.6.p5+dfsg-3ubuntu2.14.04.3, 4.2.6.p5+dfsg-3ubuntu2.14.04.5)

Start-Date: 2015-10-28 13:06:52
Install: libsctp1:amd64 (1.0.15+dfsg-1, automatic)
Upgrade: openjdk-7-jre-headless:amd64 (7u79-2.5.6-0ubuntu1.14.04.1, 7u85-2.6.1-5ubuntu0.14.04.1), openjdk-7-jre:amd64 (7u79-2.5.6-0ubuntu1.14.04.1, 7u85-2.6.1-5ubuntu0.14.04.1)

Start-Date: 2015-10-28 23:36:46
Upgrade: libmtp9:amd64 (1.1.6-20-g1b9f164-1ubuntu2, 1.1.6-20-g1b9f164-1ubuntu2.1), libmtp-common:amd64 (1.1.6-20-g1b9f164-1ubuntu2, 1.1.6-20-g1b9f164-1ubuntu2.1), libaudiofile1:i386 (0.3.6-2, 0.3.6-2ubuntu0.14.04.1), libmtp-runtime:amd64 (1.1.6-20-g1b9f164-1ubuntu2, 1.1.6-20-g1b9f164-1ubuntu2.1)

Start-Date: 2015-10-29 20:49:44
Upgrade: unzip:amd64 (6.0-9ubuntu1.3, 6.0-9ubuntu1.4)

axdx ()
Ответ на: комментарий от axdx

JAVA не жрет

после убийства студии кол-во shmem снова начало расти за счет клиент-банка, который тоже на java.
итого, обновление

Start-Date: 2015-10-28 13:06:52
Upgrade: openjdk-7-jre-headless:amd64 (7u79-2.5.6-0ubuntu1.14.04.1, 7u85-2.6.1-5ubuntu0.14.04.1), openjdk-7-jre:amd64 (7u79-2.5.6-0ubuntu1.14.04.1, 7u85-2.6.1-5ubuntu0.14.04.1)

несет проблемы, имхо

dib2 ★★★★★ ()
Ответ на: JAVA не жрет от dib2

похоже на то. Открыл файл в ide - возрасло. Закрыл - возрасло. Запустил поиск - начало рости. За пару минут тыканий с 177 до 2к

axdx ()
Ответ на: комментарий от EXL

баг явы. shared memory не освобождается, (за полчаса работы засирается все) а она нужна для qt приложений. по логу запуска vlc выше это видно.

axdx ()
Ответ на: комментарий от dib2

Я не узнаю ЛОР! Два крупнейших пожирателя памяти сошлись в такой эпичной схватке на компьютерах у нескольких лоровцев, а я до сих пор не могу дождаться хотя бы второй страницы. А ведь такая тема благодатная, сколько трушных аналогов упомянутым Qt-программам могло бы быть уже упомянуто.

greatperson ()
Ответ на: комментарий от EXL

shmem использует Qt и Java в основном. Тот же gtk вроде не сильно.

BeerSeller ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.